using System;

internal sealed class Delegate722 : MulticastDelegate
{
	public extern int Invoke(object object_0);

	public static int smethod_0(object object_0, Delegate722 delegate722_1)
	{
		return delegate722_1(object_0);
	}

	public extern Delegate722(object object_0, IntPtr intptr_0);

	static Delegate722()
	{
		Class10.smethod_13(typeof(Delegate722).TypeHandle);
	}

	internal static Delegate722 delegate722_0;
}
